Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1878106 - token inactivity timeout is not shortened after oauthclient/oauth config values are lowered
Summary: token inactivity timeout is not shortened after oauthclient/oauth config valu...
Keywords:
Status: ASSIGNED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: Standa Laznicka
QA Contact: pmali
URL:
Whiteboard: LifecycleFrozen
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-11 10:48 UTC by Standa Laznicka
Modified: 2021-06-03 12:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Standa Laznicka 2020-09-11 10:48:50 UTC
Description of problem:
When lowering the inactivity timeout for tokens either by configuration at an oauthclient or in the oauth/cluster object, the tokens don't get their timeout shortened so that they would time out at max (time.Now() + newTimeoutValue)

Version-Release number of selected component (if applicable):
4.6

How reproducible:
always

Steps to Reproduce:
1. configure inactivity timeout to 15 minutes
2. create a token by logging in at any openshift component
3. lower the inactivity timeout to 5 minutes

Actual results:
token from 2. keeps its original timeout

Expected results:
token from 2. gets a new timeout which makes it time out at max (Now + newShorterTimeout)

Comment 4 Michal Fojtik 2020-11-22 14:12:06 UTC
This bug hasn't had any activity in the last 30 days. Maybe the problem got resolved, was a duplicate of something else, or became less pressing for some reason - or maybe it's still relevant but just hasn't been looked at yet. As such, we're marking this bug as "LifecycleStale" and decreasing the severity/priority. If you have further information on the current state of the bug, please update it, otherwise this bug can be closed in about 7 days. The information can be, for example, that the problem still occurs, that you still want the feature, that more information is needed, or that the bug is (for whatever reason) no longer relevant. Additionally, you can add LifecycleFrozen into Keywords if you think this bug should never be marked as stale. Please consult with bug assignee before you do that.

Comment 9 Sergiusz Urbaniak 2021-06-03 12:05:22 UTC
as discussed OOB this needs to slip.


Note You need to log in before you can comment on or make changes to this bug.